package service

import (
	"reflect"

	cda "git.loafle.net/commons/di-go/annotation"
	cdr "git.loafle.net/commons/di-go/registry"
	_ "git.loafle.net/overflow/commons-go/core/annotation"
)

var ProbeServiceType = reflect.TypeOf((*ProbeService)(nil))

func init() {
	cdr.RegisterType(ProbeServiceType)
}

type ProbeService struct {
	cda.TypeAnnotation `annotation:"@overflow:RPCService()"`
}

func (cs *ProbeService) Accept() error {

	return nil
}
